Bug 734126 - Allow path to consumer certificate to be configurable
Summary: Allow path to consumer certificate to be configurable
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: 1.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Sprint 29
Assignee: Jeff Ortel
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-29 14:01 UTC by John Matthews
Modified: 2013-09-09 16:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-24 20:11:13 UTC


Attachments (Terms of Use)

Description John Matthews 2011-08-29 14:01:42 UTC
Description of problem:
Pulp consumer hard codes the file path for the consumer certificate in 'credentials.py':
 ROOT = '/etc/pki/consumer'
 CRT = 'cert.pem'

We would like to see this a configurable parameter.  Intent being to support the ability for a developer to run subscription-manager and pulp-consumer on the same development box.

Comment 1 Jeff Ortel 2011-08-31 16:15:30 UTC
As a first step, we should change our hard coded path to /etc/pki/consumer/pulp/cert.pem to resolve the conflict.  If for some reason users still want to point to an arbitrary place for the pulp cert, we can open an RFE to make it configurable.  The down side to making this (and any property) configurable without an explicit use case is that it makes configuration more complex and introduces risk and potential support issues without adding value.

Comment 2 Jeff Ortel 2011-10-28 16:22:53 UTC
Fixed: b5b1eee92b4c0abb572d8264061cef15b02729fd

Made configurable in /etc/pulp/consumer/consumer.conf:

[client]
consumer_cert = /etc/pki/consumer/pulp/cert.pem 

Notice, I also changed the default directory of the certificate to:

  /etc/pki/consumer/pulp/cert.pem 

to avoid conflicts with rhsm.

Comment 3 Jeff Ortel 2011-10-28 23:12:42 UTC
build: 0.244

Comment 4 Preethi Thomas 2011-11-14 20:36:51 UTC
verified

[root@preethi ~]# rpm -q pulp
pulp-0.0.248-1.fc15.noarch

Comment 5 Preethi Thomas 2012-02-24 20:11:13 UTC
Pulp v1.0 is released
Closed Current Release.


Note You need to log in before you can comment on or make changes to this bug.